Bug 204700 - [patch] [rc] restore gif(4) configuration compatibility
Summary: [patch] [rc] restore gif(4) configuration compatibility
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: 10.2-STABLE
Hardware: Any Any
: --- Affects Some People
Assignee: Eugene Grosbein
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-11-20 12:06 UTC by Eugene Grosbein
Modified: 2018-10-24 05:17 UTC (History)
1 user (show)

See Also:
eugen: mfc-stable12+
eugen: mfc-stable11+
eugen: mfc-stable10+


Attachments
network.subr.diff (408 bytes, patch)
2015-11-20 12:06 UTC, Eugene Grosbein
no flags Details | Diff
network.subr.diff (408 bytes, patch)
2017-01-20 14:01 UTC, Eugene Grosbein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Grosbein 2015-11-20 12:06:30 UTC
Created attachment 163351 [details]
network.subr.diff

The commit https://svnweb.freebsd.org/base?view=revision&revision=253924 by hrs@ had obsoleted rc.conf variable gif_interfaces and tried to support backward compatibility but failed. For example, this works for 9.x:

gif_interfaces="gif0"
gifconfig_gif0="1.1.1.1 2.2.2.2"
ifconfig_gif0="inet 192.168.0.1 192.168.0.2"

For 10.2-STABLE, gif0 is creates and tunnel addresses are assigned but inet addresses do not. Using cloned_interfaces instead of gif_interfaces does not help. Attached patch restores compatibility.
Comment 1 Eugene Grosbein 2017-01-20 13:57:30 UTC
This is still a problem for 10.x and 11.0. Please commit the fix.
Comment 2 Eugene Grosbein 2017-01-20 14:01:38 UTC
Created attachment 179135 [details]
network.subr.diff

Fix path
Comment 3 Eugene Grosbein freebsd_committer 2017-05-19 08:06:37 UTC
Hi!

Just notifying you on awaiting PR. Would you like me to commit this one-liner myself?
Comment 4 commit-hook freebsd_committer 2018-10-20 18:02:12 UTC
A commit references this bug:

Author: eugen
Date: Sat Oct 20 18:01:48 UTC 2018
New revision: 339462
URL: https://svnweb.freebsd.org/changeset/base/339462

Log:
  Make upgrade from previous FreeBSD versions less painful
  and make previously working configuration like this work again:

  gif_interfaces="gif0"
  gifconfig_gif0="1.1.1.1 2.2.2.2"
  ifconfig_gif0="inet 192.168.1.1 192.168.1.2 netmask 255.255.255.252"

  PR:		204700
  MFC after:	1 month

Changes:
  head/libexec/rc/network.subr
Comment 5 commit-hook freebsd_committer 2018-10-22 17:28:04 UTC
A commit references this bug:

Author: eugen
Date: Mon Oct 22 17:27:36 UTC 2018
New revision: 339604
URL: https://svnweb.freebsd.org/changeset/base/339604

Log:
  MFC r339462: make upgrade from previous FreeBSD versions less painful
  and make previously working configuration like this work again:

  gif_interfaces="gif0"
  gifconfig_gif0="1.1.1.1 2.2.2.2"
  ifconfig_gif0="inet 192.168.1.1 192.168.1.2 netmask 255.255.255.252"

  PR:		204700
  Approved by:	re (gjb)

Changes:
_U  stable/12/
  stable/12/libexec/rc/network.subr
Comment 6 commit-hook freebsd_committer 2018-10-24 05:14:28 UTC
A commit references this bug:

Author: eugen
Date: Wed Oct 24 05:14:03 UTC 2018
New revision: 339679
URL: https://svnweb.freebsd.org/changeset/base/339679

Log:
  MFC r339462: make upgrade from previous FreeBSD versions less painful
  and make previously working configuration like this work again:

  gif_interfaces="gif0"
  gifconfig_gif0="1.1.1.1 2.2.2.2"
  ifconfig_gif0="inet 192.168.1.1 192.168.1.2 netmask 255.255.255.252"

  PR:		204700

Changes:
_U  stable/11/
  stable/11/etc/network.subr
Comment 7 commit-hook freebsd_committer 2018-10-24 05:16:34 UTC
A commit references this bug:

Author: eugen
Date: Wed Oct 24 05:15:46 UTC 2018
New revision: 339680
URL: https://svnweb.freebsd.org/changeset/base/339680

Log:
  MFC r339462: make upgrade from previous FreeBSD versions less painful
  and make previously working configuration like this work again:

  gif_interfaces="gif0"
  gifconfig_gif0="1.1.1.1 2.2.2.2"
  ifconfig_gif0="inet 192.168.1.1 192.168.1.2 netmask 255.255.255.252"

  PR:		204700

Changes:
_U  stable/10/
  stable/10/etc/network.subr
Comment 8 Eugene Grosbein freebsd_committer 2018-10-24 05:17:20 UTC
Committed and merged to all supported branches.